Conformant

Macros | Functions
Conformant
Elementary

## Macros
#define | ELM_CONFORMANT_CLASS elm_conformant_class_get()
| Elementary conformant class.
#define | ELM_CONFORMANT_EVENT_VIRTUALKEYPAD_STATE_ON (&(_ELM_CONFORMANT_EVENT_VIRTUALKEYPAD_STATE_ON))
| Called when virtualkeypad was enabled.
#define | ELM_CONFORMANT_EVENT_VIRTUALKEYPAD_STATE_OFF (&(_ELM_CONFORMANT_EVENT_VIRTUALKEYPAD_STATE_OFF))
| Called when virtualkeypad was disabled.
#define | ELM_CONFORMANT_EVENT_CLIPBOARD_STATE_ON (&(_ELM_CONFORMANT_EVENT_CLIPBOARD_STATE_ON))
| Called when clipboard was enabled.
#define | ELM_CONFORMANT_EVENT_CLIPBOARD_STATE_OFF (&(_ELM_CONFORMANT_EVENT_CLIPBOARD_STATE_OFF))
| Called when clipboard was disabled.

## Functions
Evas_Object * | elm_conformant_add (Evas_Object *parent)
| Add a new conformant widget to the given parent Elementary (container) object. More...
EINA_DEPRECATED void | elm_conformant_content_set (Evas_Object *obj, Evas_Object *content)
| Set the content of the conformant widget. More...
EINA_DEPRECATED Evas_Object * | elm_conformant_content_get (const Evas_Object *obj)
| Get the content of the conformant widget. More...
EINA_DEPRECATED Evas_Object * | elm_conformant_content_unset (Evas_Object *obj)
| Unset the content of the conformant widget. More...

## Detailed Description

The aim is to provide a widget that can be used in elementary apps to account for space taken up by the indicator, virtual keypad & softkey windows when running the illume2 module of E17.

So conformant content will be sized and positioned considering the space required for such stuff, and when they popup, as a keyboard shows when an entry is selected, conformant content won't change.

This widget inherits from the Layout one, so that all the functions acting on it also work for conformant objects.

This widget emits the following signals, besides the ones sent from Layout :

- "virtualkeypad,state,on": if virtualkeypad state is switched to "on". (since 1.8)
- "virtualkeypad,state,off": if virtualkeypad state is switched to "off". (since 1.8)
- "clipboard,state,on": if clipboard state is switched to "on". (since 1.8)
- "clipboard,state,off": if clipboard state is switched to "off". (since 1.8) In all cases, the `event` parameter of the callback will be `NULL`.

Available styles for it:

- `"default"`

Default content parts of the conformant widget that you can use for are:

- "default" - A content of the conformant

See how to use this widget in this example: Conformant Example.

## Function Documentation

## ◆ elm_conformant_add()

Evas_Object* elm_conformant_add | ( | Evas_Object * | parent | ) |

Add a new conformant widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object.

Returns
  A new conformant widget handle or `NULL`, on errors.

This function inserts a new conformant widget on the canvas.

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elm_conformant_content_set()

EINA_DEPRECATED void elm_conformant_content_set | ( | Evas_Object * | obj,
|  | Evas_Object * | content
| ) |  |

Set the content of the conformant widget.

Parameters

  obj | The conformant object.
  content | The content to be displayed by the conformant.

Content will be sized and positioned considering the space required to display a virtual keyboard. So it won't fill all the conformant size. This way is possible to be sure that content won't resize or be re-positioned after the keyboard is displayed.

Once the content object is set, a previously set one will be deleted. If you want to keep that old content object, use the elm_object_content_unset() function.

See also
  elm_object_content_unset()
  elm_object_content_get()

Deprecated:
  use elm_object_content_set() instead

## ◆ elm_conformant_content_get()

EINA_DEPRECATED Evas_Object* elm_conformant_content_get | ( | const Evas_Object * | obj | ) |

Get the content of the conformant widget.

Parameters

  obj | The conformant object.

Returns
  The content that is being used.

Return the content object which is set for this widget. It won't be unparent from conformant. For that, use elm_object_content_unset().

See also
  elm_object_content_set().
  elm_object_content_unset()

Deprecated:
  use elm_object_content_get() instead

## ◆ elm_conformant_content_unset()

EINA_DEPRECATED Evas_Object* elm_conformant_content_unset | ( | Evas_Object * | obj | ) |

Unset the content of the conformant widget.

Parameters

  obj | The conformant object.

Returns
  The content that was being used.

Unparent and return the content object which was set for this widget.

See also
  elm_object_content_set().

Deprecated:
  use elm_object_content_unset() instead